<?php

/**
 * Plugin Name: WP Display User Count per Role
 * Description: Provides the shortcode [csucount] to display user count per role. Use [csucuscount] to display the WooCommerce customer user count as single number. 
 * Author: Con Schneider
 * Author URI: http://conschneider.de/
 * License: GPLv2 or later
 * Text Domain: csup-
 * Version: 0.3
 * Domain Path: /languages/
 */

if ( ! defined( 'ABSPATH' ) ) { 
    exit; // Exit if accessed directly
}

add_shortcode( 'csucount', 'cs_user_count' );
function cs_user_count() {
  
  	$user_count_data = count_users();
	$avail_roles = $user_count_data['avail_roles'];
	
	foreach ($avail_roles as $role_key=>$role_count) { 
                echo 'User Role: ' . $role_key.' - Count: '.$role_count.'<br/>';
            }
            
     $total_users = $user_count_data['total_users'];
	 echo 'Total User Count: ' . $total_users;
  
}

add_shortcode( 'csucuscount', 'cs_customer_count' ); 
function cs_customer_count() {

$customer_count_data = count_users();
$avail_roles = $customer_count_data['avail_roles'];
$customer = $avail_roles['customer']; /* User role customer  */
echo $customer;
}
  
